import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCoding } from "../Foundation/NSCoding.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _WebResource } from "./WebResource.js";
export declare class _WebArchive extends _NSObject {
    static alloc(): _WebArchive;
    static new(): _WebArchive;
    init(): _WebArchive;
    /**
     * The initializer for WebArchive. The main resource of the archive. The subresources of the archive (can be nil). The archives representing the subframes of the archive (can be nil). An initialized WebArchive.
     */
    initWithMainResource$subresources$subframeArchives$(mainResource: _WebResource, subresources: _NSArray, subframeArchives: _NSArray): _WebArchive;
    /**
     * The initializer for creating a WebArchive from data. The data representing the archive. This can be obtained using WebArchive's data method. An initialized WebArchive.
     */
    initWithData$(data: _NSData): _WebArchive;
    /** The main resource of the archive. */
    mainResource(): _WebResource;
    /** The subresource of the archive (can be nil). */
    subresources(): _NSArray;
    /** The archives representing the subframes of the archive (can be nil). */
    subframeArchives(): _NSArray;
    /**
     * The data representation of the archive. The data returned by this method can be used to save a web archive to a file or to place a web archive on the pasteboard using WebArchivePboardType. To create a WebArchive using the returned data, call initWithData:.
     */
    data(): _NSData;
}
export interface _WebArchive extends _NSCoding, _NSCopying {
}
